GET /api/v202212/widget/ghgbuildingrank/{specificWidgetId}

Get building rank by GHG emissions or intensity.

GetGHGBuildingRankV202212

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
specificWidgetId The specific widget id integer (int32) Required

Query Parameters

Name Description Type Required
filter The widget filters string (string) Optional

Filters

Filter Description Type Operators
accountId Integer equals
budgetVersionId Integer equals
Channel Channel String equals
chartType Chart Type String equals
commodityCategoryID Integer equals
commodityId Integer equals
cumulative Display as Cumulative Boolean equals
DataPointID Integer equals
emissionSourceId Integer equals
EsaChannelID Integer equals
esaIntervalWidgetGroupBy Group By String equals
includeAccountCharges Include Account Charges Boolean equals
includeAccruals Include Accruals Boolean equals
meterGroupInfo Meter Group Display String equals
meterId Integer equals
numberOfYears Integer equals
placeGroupId Integer equals
placeGroupName Place Group Name String equals
rateId Integer equals
readingDate Reading Date DateTime equals between today yesterday last 7 days last 14 days last 30 days last 60 days last 90 days
Schedule Schedule String equals
topmostCollectionId Integer equals
topmostCostCenterId Integer equals
topmostPlaceCode Topmost Place Code String equals
topmostPlaceId Integer equals
topmostPlaceName Topmost Place Name String equals
vendorId Integer equals

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

AggregatedResponseGHGBuildingRank
Property Description Type
dataDetails The data details GHGBuildingRank[]
GHGBuildingRank properties
Property Description Type
display The item display name string
emissions The overall Greenhouse Gas emissions number (double)
emissionsUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
id The item identifier integer (int32)
intensity The Greenhouse Gas intensity. Emissions/Place Size number (double)
placeInfo PlaceInfo
PlaceInfo properties
Property Description Type
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeSize The place size integer (int32)
placeSizeUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
scope1Emissions The Greenhouse Gas emissions from Scope 1 number (double)
scope2Emissions The Greenhouse Gas emissions from Scope 2 number (double)
scope3Emissions The Greenhouse Gas emissions from Scope 3 number (double)
secondaryDisplay The item formated value string
type The item type string
value The item value number (double)
period PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
total GHGBuildingRank
GHGBuildingRank properties
Property Description Type
display The item display name string
emissions The overall Greenhouse Gas emissions number (double)
emissionsUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
id The item identifier integer (int32)
intensity The Greenhouse Gas intensity. Emissions/Place Size number (double)
placeInfo PlaceInfo
PlaceInfo properties
Property Description Type
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
placeSize The place size integer (int32)
placeSizeUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
scope1Emissions The Greenhouse Gas emissions from Scope 1 number (double)
scope2Emissions The Greenhouse Gas emissions from Scope 2 number (double)
scope3Emissions The Greenhouse Gas emissions from Scope 3 number (double)
secondaryDisplay The item formated value string
type The item type string
value The item value number (double)
Example Response application/json
{  "dataDetails": [
    {    "display": "string",    "emissions": 1.0,    "emissionsUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "id": 1,    "intensity": 1.0,    "placeInfo": {      "placeCode": "string",      "placeId": 1,      "placeInfo": "string"
    },    "placeSize": 1,    "placeSizeUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "scope1Emissions": 1.0,    "scope2Emissions": 1.0,    "scope3Emissions": 1.0,    "secondaryDisplay": "string",    "type": "string",    "value": 1.0
  }
  ],  "period": {    "endPeriod": 1,    "startPeriod": 1
  },  "total": {    "display": "string",    "emissions": 1.0,    "emissionsUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "id": 1,    "intensity": 1.0,    "placeInfo": {      "placeCode": "string",      "placeId": 1,      "placeInfo": "string"
    },    "placeSize": 1,    "placeSizeUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "scope1Emissions": 1.0,    "scope2Emissions": 1.0,    "scope3Emissions": 1.0,    "secondaryDisplay": "string",    "type": "string",    "value": 1.0
  }
}